{#
/**
 * @file
 * Bootstrap Barrio's theme implementation for a branding block.
 *
 * Each branding element variable (logo, name, slogan) is only available if
 * enabled in the block configuration.
 *
 * Available variables:
 * - site_logo: Logo for site as defined in Appearance or theme settings.
 * - site_name: Name for site as defined in Site information settings.
 * - site_slogan: Slogan for site as defined in Site information settings.
 */
#}
{% set attributes = attributes.addClass('site-branding') %}
{% if site_logo or site_name %}
  <a href="{{ path('<front>') }}" title="{{ 'Home'|t }}" rel="home" class="navbar-brand">
    {% if site_logo %}
      <img src="{{ site_logo }}" alt="{{ 'Home'|t }}" class="img-fluid d-inline-block align-top" />
    {% endif %}
    <span class="ml-2 d-inline">{{ site_name }}</span>
  </a>
{% endif %}
{% if site_slogan %}
  <div class="ml-2 d-none d-inline-block align-top site-name-slogan">
    {{ site_slogan }}
  </div>
{% endif %}
